[GNC] Upgrade 2.6.18 to 3.5

classic Classic list List threaded Threaded
21 messages Options
12
Reply | Threaded
Open this post in threaded view
|

[GNC] Upgrade 2.6.18 to 3.5

rmomxtx
"The main time you may strike problems is in the initial switch between
major versions e.g. from 2.6 to V3." Any problems updating from v 2.6.18?
Thanks, Roger

 

Message: 5

Date: Sun, 7 Apr 2019 05:56:25 -0500 (CDT)

From: David Cousens <[hidden email]
<mailto:[hidden email]> >

To: [hidden email] <mailto:[hidden email]>

Subject: Re: [GNC] v3.5

Message-ID: <[hidden email]
<mailto:[hidden email]> >

Content-Type: text/plain; charset=us-ascii

 

Graham,

 

Upgrading GnuCash is generally pretty painless and as you point  out is no
more complex than initial installation in most cases. As Colin said you
should always have backups (I have 4 separate backups2 of which are  off
site to my computers).

 

The main time you may strike problems is in the initial switch between major
versions e.g. from 2.6 to V3. If you aren't a confident user then it is
better to wait for a couple of bugfix releases as quite often there are
major changes in the major release updates and an increased likelihood of
bugs. With V3 by 3.5 you are pretty safe.  Any changes in internal data file
format or preferences are usually handled either in installation scripts or
built in code to manage the change. Waiting too long may result in having to
do the upgrade in steps using intermediate releases. E.g if you were still
back on an early V2 version.

 

On Windows, the installer will usually take care of uninstalling any
previous version. Similarly most Linux distros often include an uninstall
option in their main menu items. The wiki has full uninstallation
instructions if you are building from scratch. Haven't had to uninstall a
.deb package but dpkg which is used in installation can do it as can apt
remove or apt-get remove.  With MacOSX i have no experience at all.

 

David Cousens

 

 

 

_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Adrien Monteleone-2
I think it was originally recommended to update to 2.6.19 or 2.6.21 first. (2.6.20 and .21 were snap fix releases for some critical problems with 2.6.19 which was originally intended to be the *last* of the 2.6 series)

Regards,
Adrien

> On Apr 9, 2019, at 1:54 PM, <[hidden email]> <[hidden email]> wrote:
>
> "The main time you may strike problems is in the initial switch between
> major versions e.g. from 2.6 to V3." Any problems updating from v 2.6.18?
> Thanks, Roger
>


_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

rmomxtx
In reply to this post by rmomxtx
Got it. Thanks, Roger

 

Message: 6

Date: Tue, 9 Apr 2019 14:21:15 -0500

From: Adrien Monteleone <[hidden email]>

To: GnuCash <[hidden email] <mailto:[hidden email]> >

Subject: Re: [GNC] Upgrade 2.6.18 to 3.5

Message-ID: <[hidden email]
<mailto:[hidden email]> >

Content-Type: text/plain;             charset=us-ascii

 

I think it was originally recommended to update to 2.6.19 or 2.6.21 first.
(2.6.20 and .21 were snap fix releases for some critical problems with
2.6.19 which was originally intended to be the *last* of the 2.6 series)

 

Regards,

Adrien

 

_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

GnuCash - User mailing list
In reply to this post by rmomxtx
I am currently using version 2.6.16 so should I upgrade to 2.6.21 before 3.5 or is another intermediate step recommended?
Kind regards,Alan

     
------------------------------

Date: Tue, 9 Apr 2019 14:21:15 -0500
From: Adrien Monteleone <[hidden email]>
To: GnuCash <[hidden email]>
Subject: Re: [GNC] Upgrade 2.6.18 to 3.5
Message-ID: <[hidden email]>
Content-Type: text/plain;    charset=us-ascii

I think it was originally recommended to update to 2.6.19 or 2.6.21 first. (2.6.20 and .21 were snap fix releases for some critical problems with 2.6.19 which was originally intended to be the *last* of the 2.6 series)

Regards,
Adrien

> On Apr 9, 2019, at 1:54 PM, <[hidden email]> <[hidden email]> wrote:
>
> "The main time you may strike problems is in the initial switch between
> major versions e.g. from 2.6 to V3." Any problems updating from v 2.6.18?
> Thanks, Roger
>




   
_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

foxylady337
> On 10 Apr 2019, at 08:21, aeg via gnucash-user <[hidden email]> wrote:
>
> I am currently using version 2.6.16 so should I upgrade to 2.6.21 before 3.5 or is another intermediate step recommended?
> Kind regards,Alan


For what it’s worth, I can report no file incompatibility problems in making the transition from 2.6.1 to 3.4 a few weeks ago.

Your mileage may, of course, vary.

I had planned to run the two versions in parallel for a while (with separate directories for the data), but quickly got fed up with the rigmarole of switching between the two.

Michael

_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Tony Vanson
I've just upgraded from 2.6.21 to 3.5.1 for Windows 10. The upgrade
performed seamlessly with only one problem so far, it seems to have lost my
Saved Report Configurations from the previous version. Not too big a deal
as it's easily created again, or maybe someone has an idea if I'm looking
in the wrong spot?

<https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
Virus-free.
www.avast.com
<https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
<#DAB4FAD8-2DD7-40BB-A1B8-4E2AA1F9FDF2>

On Wed, Apr 10, 2019 at 3:01 PM Michael Hendry <[hidden email]>
wrote:

> > On 10 Apr 2019, at 08:21, aeg via gnucash-user <[hidden email]>
> wrote:
> >
> > I am currently using version 2.6.16 so should I upgrade to 2.6.21 before
> 3.5 or is another intermediate step recommended?
> > Kind regards,Alan
>
>
> For what it’s worth, I can report no file incompatibility problems in
> making the transition from 2.6.1 to 3.4 a few weeks ago.
>
> Your mileage may, of course, vary.
>
> I had planned to run the two versions in parallel for a while (with
> separate directories for the data), but quickly got fed up with the
> rigmarole of switching between the two.
>
> Michael
>
> _______________________________________________
> gnucash-user mailing list
> [hidden email]
> To update your subscription preferences or to unsubscribe:
> https://lists.gnucash.org/mailman/listinfo/gnucash-user
> If you are using Nabble or Gmane, please see
> https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
> -----
> Please remember to CC this list on all your replies.
> You can do this by using Reply-To-List or Reply-All.
>


--
*Tony Vanson*

*The older I get,*
*the better I was*
_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Adrien Monteleone-2
The storage locations for some items moved between versions. I think saved reports are affected. Take a look at the wiki. You likely just need to copy them to the new location.

Regards,
Adrien

> On Apr 10, 2019, at 4:57 AM, Tony Vanson <[hidden email]> wrote:
>
> I've just upgraded from 2.6.21 to 3.5.1 for Windows 10. The upgrade
> performed seamlessly with only one problem so far, it seems to have lost my
> Saved Report Configurations from the previous version. Not too big a deal
> as it's easily created again, or maybe someone has an idea if I'm looking
> in the wrong spot?
>
> <https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
> Virus-free.
> www.avast.com
> <https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
> <#DAB4FAD8-2DD7-40BB-A1B8-4E2AA1F9FDF2>
>


_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Tony Vanson
It would greatly help my few remaining brain cells if specific location
advice is available. Waded through a lot of the Wiki but unfortunately made
no sense to me.
Cheers

On Wed, Apr 10, 2019 at 6:20 PM Adrien Monteleone <
[hidden email]> wrote:

> The storage locations for some items moved between versions. I think saved
> reports are affected. Take a look at the wiki. You likely just need to copy
> them to the new location.
>
> Regards,
> Adrien
>
> > On Apr 10, 2019, at 4:57 AM, Tony Vanson <[hidden email]> wrote:
> >
> > I've just upgraded from 2.6.21 to 3.5.1 for Windows 10. The upgrade
> > performed seamlessly with only one problem so far, it seems to have lost
> my
> > Saved Report Configurations from the previous version. Not too big a deal
> > as it's easily created again, or maybe someone has an idea if I'm looking
> > in the wrong spot?
> >
> > <
> https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail
> >
> > Virus-free.
> > www.avast.com
> > <
> https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail
> >
> > <#DAB4FAD8-2DD7-40BB-A1B8-4E2AA1F9FDF2>
> >
>
>
> _______________________________________________
> gnucash-user mailing list
> [hidden email]
> To update your subscription preferences or to unsubscribe:
> https://lists.gnucash.org/mailman/listinfo/gnucash-user
> If you are using Nabble or Gmane, please see
> https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
> -----
> Please remember to CC this list on all your replies.
> You can do this by using Reply-To-List or Reply-All.
>


--
*Tony Vanson*

*The older I get,*
*the better I was*
_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Elmarts
In reply to this post by rmomxtx
On 4/10/19 11:15 AM, [hidden email] wrote:

> Date: Tue, 9 Apr 2019 14:21:15 -0500
> From: Adrien Monteleone <[hidden email]>
> To: GnuCash <[hidden email]>
> Subject: Re: [GNC] Upgrade 2.6.18 to 3.5
> Message-ID: <[hidden email]>
> Content-Type: text/plain;??? charset=us-ascii
>
> I think it was originally recommended to update to 2.6.19 or 2.6.21 first. (2.6.20 and .21 were snap fix releases for some critical problems with 2.6.19 which was originally intended to be the *last* of the 2.6 series)
>
> Regards,
> Adrien

Heck, I am still running off the Mint repository version 2.6.12-1 built
from rev ed11f6d+ on 2016-04-18.  Nothing is "broken" that I use, and I
am being cautious, awaiting the repository to update. Anyone got any
ideas on when that might happen? - Elmar


_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
- Elmar
GnuCash 2.6.12
Linux Mint 18 Sarah 32-bit
Kernel Linux 4.4.0-34-generic i686
MATE 1.14.1
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Adrien Monteleone-2
Mileage varies when encountering bugs. If you want to see those known to affect to 2.6.12 you can search the Bugzilla db for that series, and/or time period. (not all bugs were specific to a particular release) *Many* improvements and fixes have been implemented since then.

If you only run what is available in the repo, that’s the most recent you can run without upgrading Mint itself and until 2020 when the Mint team re-bases their distro to a more modern version of Ubuntu.

The latest Mint, 19.1 - Tessa, is based off the Ubuntu 18.04 repositories which contains GnuCash-2.6.19. Tara (Mint 19) and Tessa (19.1) and the rest of the 19 series are supported until 2023.

If you want more recent version like the 3.x series, you’d need to use the Flatpak version or build from source. (rather easy to do, especially with the new wiki instructions)

Regards,
Adrien



> On Apr 10, 2019, at 10:35 AM, Elmar <[hidden email]> wrote:
>
> On 4/10/19 11:15 AM, [hidden email] wrote:
>> Date: Tue, 9 Apr 2019 14:21:15 -0500
>> From: Adrien Monteleone <[hidden email]>
>> To: GnuCash <[hidden email]>
>> Subject: Re: [GNC] Upgrade 2.6.18 to 3.5
>> Message-ID: <[hidden email]>
>> Content-Type: text/plain;??? charset=us-ascii
>>
>> I think it was originally recommended to update to 2.6.19 or 2.6.21 first. (2.6.20 and .21 were snap fix releases for some critical problems with 2.6.19 which was originally intended to be the *last* of the 2.6 series)
>>
>> Regards,
>> Adrien
>
> Heck, I am still running off the Mint repository version 2.6.12-1 built from rev ed11f6d+ on 2016-04-18.  Nothing is "broken" that I use, and I am being cautious, awaiting the repository to update. Anyone got any ideas on when that might happen? - Elmar

_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Adrien Monteleone-2
In reply to this post by Tony Vanson
https://wiki.gnucash.org/wiki/Configuration_Locations

Read the section about where to find USER_DATA_HOME on your OS.

Find the saved reports in the location listed to be used in version 2.6 and then move them to the new location now used in 3.x and rename the file accordingly. (I seem to recall 2.6 used `saved-reports-2.4` and 3.x uses `saved-reports-2.8`.)

If you are still having trouble finding these locations, take a look at the very good diagrams under the "Diagrams of Configuration Locations” section for your OS. (https://wiki.gnucash.org/wiki/Configuration_Diagrams_-_Windows) Note that the 2.6 chart is further down the screen. You’ll need to scroll for it.


Regards,
Adrien

> On Apr 10, 2019, at 9:27 AM, Tony Vanson <[hidden email]> wrote:
>
> It would greatly help my few remaining brain cells if specific location advice is available. Waded through a lot of the Wiki but unfortunately made no sense to me.
> Cheers
>
> On Wed, Apr 10, 2019 at 6:20 PM Adrien Monteleone <[hidden email]> wrote:
> The storage locations for some items moved between versions. I think saved reports are affected. Take a look at the wiki. You likely just need to copy them to the new location.
>
> Regards,
> Adrien
>
> > On Apr 10, 2019, at 4:57 AM, Tony Vanson <[hidden email]> wrote:
> >
> > I've just upgraded from 2.6.21 to 3.5.1 for Windows 10. The upgrade
> > performed seamlessly with only one problem so far, it seems to have lost my
> > Saved Report Configurations from the previous version. Not too big a deal
> > as it's easily created again, or maybe someone has an idea if I'm looking
> > in the wrong spot?
> >
> > <https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
> > Virus-free.
> > www.avast.com
> > <https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
> > <#DAB4FAD8-2DD7-40BB-A1B8-4E2AA1F9FDF2>
> >

_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

GnuCash - User mailing list
In reply to this post by Tony Vanson
Thank you for your input; I've just downloaded 3.5.1 and I'll prepare to take the plunge!
Alan

      From: Tony Vanson <[hidden email]>
 To: Michael Hendry <[hidden email]>
Cc: aeg <[hidden email]>; "[hidden email]" <[hidden email]>
 Sent: Wednesday, 10 April 2019, 10:58
 Subject: Re: [GNC] Upgrade 2.6.18 to 3.5
   
I've just upgraded from 2.6.21 to 3.5.1 for Windows 10. The upgrade performed seamlessly with only one problem so far, it seems to have lost my Saved Report Configurations from the previous version. Not too big a deal as it's easily created again, or maybe someone has an idea if I'm looking in the wrong spot?


|  | Virus-free. www.avast.com  |


On Wed, Apr 10, 2019 at 3:01 PM Michael Hendry <[hidden email]> wrote:

> On 10 Apr 2019, at 08:21, aeg via gnucash-user <[hidden email]> wrote:
>
> I am currently using version 2.6.16 so should I upgrade to 2.6.21 before 3.5 or is another intermediate step recommended?
> Kind regards,Alan


For what it’s worth, I can report no file incompatibility problems in making the transition from 2.6.1 to 3.4 a few weeks ago.

Your mileage may, of course, vary.

I had planned to run the two versions in parallel for a while (with separate directories for the data), but quickly got fed up with the rigmarole of switching between the two.

Michael

_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.



--
Tony Vanson

The older I get,the better I was


   
_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Stephen M. Butler
In reply to this post by Adrien Monteleone-2
On 4/10/19 10:57 AM, Adrien Monteleone wrote:

> Mileage varies when encountering bugs. If you want to see those known to affect to 2.6.12 you can search the Bugzilla db for that series, and/or time period. (not all bugs were specific to a particular release) *Many* improvements and fixes have been implemented since then.
>
> If you only run what is available in the repo, that’s the most recent you can run without upgrading Mint itself and until 2020 when the Mint team re-bases their distro to a more modern version of Ubuntu.
>
> The latest Mint, 19.1 - Tessa, is based off the Ubuntu 18.04 repositories which contains GnuCash-2.6.19. Tara (Mint 19) and Tessa (19.1) and the rest of the 19 series are supported until 2023.
>
> If you want more recent version like the 3.x series, you’d need to use the Flatpak version or build from source. (rather easy to do, especially with the new wiki instructions)
>
> Regards,
> Adrien


Or, if your distro is Ubuntu based, you can download the *.deb files
from: 
https://drive.google.com/open?id=11gjnSIw9E8B8kOJ01DHQuEA83xidbw8E  for
the 3.5 version.

>
>
>
>> On Apr 10, 2019, at 10:35 AM, Elmar <[hidden email]> wrote:
>>
>> On 4/10/19 11:15 AM, [hidden email] wrote:
>>> Date: Tue, 9 Apr 2019 14:21:15 -0500
>>> From: Adrien Monteleone <[hidden email]>
>>> To: GnuCash <[hidden email]>
>>> Subject: Re: [GNC] Upgrade 2.6.18 to 3.5
>>> Message-ID: <[hidden email]>
>>> Content-Type: text/plain;??? charset=us-ascii
>>>
>>> I think it was originally recommended to update to 2.6.19 or 2.6.21 first. (2.6.20 and .21 were snap fix releases for some critical problems with 2.6.19 which was originally intended to be the *last* of the 2.6 series)
>>>
>>> Regards,
>>> Adrien
>> Heck, I am still running off the Mint repository version 2.6.12-1 built from rev ed11f6d+ on 2016-04-18.  Nothing is "broken" that I use, and I am being cautious, awaiting the repository to update. Anyone got any ideas on when that might happen? - Elmar
> _______________________________________________
> gnucash-user mailing list
> [hidden email]
> To update your subscription preferences or to unsubscribe:
> https://lists.gnucash.org/mailman/listinfo/gnucash-user
> If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
> -----
> Please remember to CC this list on all your replies.
> You can do this by using Reply-To-List or Reply-All.


--
Stephen M Butler, PMP, PSM
[hidden email]
[hidden email]
253-350-0166
-------------------------------------------
GnuPG Fingerprint:  8A25 9726 D439 758D D846 E5D4 282A 5477 0385 81D8

_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Elmarts
Stephen M. Butler wrote
> Or, if your distro is Ubuntu based, you can download the *.deb files
> from: 
> https://drive.google.com/open?id=11gjnSIw9E8B8kOJ01DHQuEA83xidbw8E  for
> the 3.5 version.

Downloaded!  Now, if I click on the deb and install with the gdebi
installer, will it automagically take care of fixing everything, or will it
simply install GC into a separate folder, leaving the old 2.6 version alone?
- Elmar




-----
- Elmar
GnuCash 2.6.12
Linux Mint 18 Sarah 32-bit
Kernel Linux 4.4.0-34-generic i686
MATE 1.14.1
--
Sent from: http://gnucash.1415818.n4.nabble.com/GnuCash-User-f1415819.html
_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
- Elmar
GnuCash 2.6.12
Linux Mint 18 Sarah 32-bit
Kernel Linux 4.4.0-34-generic i686
MATE 1.14.1
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Stephen M. Butler
On 4/10/19 6:06 PM, Elmarts wrote:
> Stephen M. Butler wrote
>> Or, if your distro is Ubuntu based, you can download the *.deb files
>> from: 
>> https://drive.google.com/open?id=11gjnSIw9E8B8kOJ01DHQuEA83xidbw8E  for
>> the 3.5 version.
> Downloaded!  Now, if I click on the deb and install with the gdebi
> installer, will it automagically take care of fixing everything, or will it
> simply install GC into a separate folder, leaving the old 2.6 version alone?
> - Elmar

I have not used gdebi.  I uninstall previous versions.  How you do that
depends on how the previous version was installed.  If you did a local
compile and install then you will need to use the same make file to
uninstall it.

Otherwise, I do:

sudo apt remove *gnucash*

cd Download (or appropriate folder for the 3 deb files)

sudo apt install ./*gnucash*3.5_*.deb

Please note the leading ./ on the file name pattern.  Otherwise, apt
will go looking in the repository instead of your hard drive.


Here is the output from doing the above on my system:

$ sudo apt remove *gnucash*
[sudo] password for steve: xxxxxxxxxxxxxxx
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Note, selecting 'gnucash-docs' for glob '*gnucash*'
Note, selecting 'python3-gnucash' for glob '*gnucash*'
Note, selecting 'gnucash-build-deps' for glob '*gnucash*'
Note, selecting 'python-gnucash' for glob '*gnucash*'
Note, selecting 'gnucash' for glob '*gnucash*'
Note, selecting 'pythone3-gnucash' for glob '*gnucash*'
Note, selecting 'gnucash-common' for glob '*gnucash*'
Package 'pythone3-gnucash' is not installed, so not removed
Package 'python-gnucash' is not installed, so not removed
The following packages were automatically installed and are no longer
required:
  libclass-inspector-perl libclass-singleton-perl libcommon-sense-perl
  libdate-manip-perl libdatetime-locale-perl libdatetime-perl
  libdatetime-timezone-perl libdbd-sqlite3 libfile-sharedir-perl
  libfinance-quote-perl libhtml-tableextract-perl libjs-jquery libjson-perl
  libjson-xs-perl libsecret-1-dev libtypes-serialiser-perl locales-all swig
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  gnucash gnucash-build-deps gnucash-common gnucash-docs python3-gnucash
0 upgraded, 0 newly installed, 5 to remove and 4 not upgraded.
After this operation, 189 MB disk space will be freed.
Do you want to continue? [Y/n] Y
(Reading database ... 248347 files and directories currently installed.)
Removing gnucash (1:3.4) ...
Removing gnucash-build-deps (1:3.5) ...
Removing gnucash-common (1:3.4) ...
Removing gnucash-docs (2.6.19-1) ...
Removing python3-gnucash (1:3.4) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
Processing triggers for libglib2.0-0:amd64 (2.56.3-0ubuntu0.18.04.1) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...



$ cd Projects/GnuCash  # where I do the build on my box for uploading to
Google Drive.

$ ls -l *3.5*.deb  # The three files you should have downloaded.
-rw-r--r-- 1 steve steve 3953180 Apr  4 09:46 gnucash_3.5_amd64.deb
-rw-r--r-- 1 steve steve 5127460 Apr  4 09:46 gnucash-common_3.5_all.deb
-rw-r--r-- 1 steve steve  269772 Apr  4 09:46 python3-gnucash_3.5_amd64.deb

$ sudo apt install ./*gnucash*3.5_*.deb
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Note, selecting 'gnucash' instead of './gnucash_3.5_amd64.deb'
Note, selecting 'gnucash-common' instead of './gnucash-common_3.5_all.deb'
Note, selecting 'python3-gnucash' instead of
'./python3-gnucash_3.5_amd64.deb'
The following packages were automatically installed and are no longer
required:
  libsecret-1-dev locales-all swig
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  gnucash-docs
Suggested packages:
  libdbd-mysql
Recommended packages:
  pythone3-gnucash
The following NEW packages will be installed:
  gnucash gnucash-common gnucash-docs python3-gnucash
0 upgraded, 4 newly installed, 0 to remove and 4 not upgraded.
Need to get 89.1 MB/98.4 MB of archives.
After this operation, 190 MB of additional disk space will be used.
Do you want to continue? [Y/n] YGet:1
/home/steve/Projects/GnuCash/gnucash-common_3.5_all.deb gnucash-common
all 1:3.5 [5,127 kB]
Get:2 /home/steve/Projects/GnuCash/gnucash_3.5_amd64.deb gnucash amd64
1:3.5 [3,953 kB]
Get:3 /home/steve/Projects/GnuCash/python3-gnucash_3.5_amd64.deb
python3-gnucash amd64 1:3.5 [270 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu bionic/universe amd64
gnucash-docs all 2.6.19-1 [89.1 MB]
Fetched 89.1 MB in 2min 48s (529
kB/s)                                        
Selecting previously unselected package gnucash-common.
(Reading database ... 243886 files and directories currently installed.)
Preparing to unpack .../gnucash-common_3.5_all.deb ...
Unpacking gnucash-common (1:3.5) ...
Selecting previously unselected package gnucash.
Preparing to unpack .../GnuCash/gnucash_3.5_amd64.deb ...
Unpacking gnucash (1:3.5) ...
Selecting previously unselected package python3-gnucash.
Preparing to unpack .../python3-gnucash_3.5_amd64.deb ...
Unpacking python3-gnucash (1:3.5) ...
Selecting previously unselected package gnucash-docs.
Preparing to unpack .../gnucash-docs_2.6.19-1_all.deb ...
Unpacking gnucash-docs (2.6.19-1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
Processing triggers for libglib2.0-0:amd64 (2.56.3-0ubuntu0.18.04.1) ...
Setting up python3-gnucash (1:3.5) ...
Setting up gnucash-common (1:3.5) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Setting up gnucash-docs (2.6.19-1) ...
Setting up gnucash (1:3.5) ...


--Steve

--
Stephen M Butler, PMP, PSM
[hidden email]
[hidden email]
253-350-0166
-------------------------------------------
GnuPG Fingerprint:  8A25 9726 D439 758D D846 E5D4 282A 5477 0385 81D8


_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Tony Vanson
In reply to this post by GnuCash - User mailing list
Sorry, totally at sea on this one. Have created new reports. Thanks for
your time and effort.
Cheers

On Thu, Apr 11, 2019 at 4:01 AM aeg <[hidden email]> wrote:

> Thank you for your input; I've just downloaded 3.5.1 and I'll prepare to
> take the plunge!
>
> Alan
>
>
> ------------------------------
> *From:* Tony Vanson <[hidden email]>
> *To:* Michael Hendry <[hidden email]>
> *Cc:* aeg <[hidden email]>; "[hidden email]" <
> [hidden email]>
> *Sent:* Wednesday, 10 April 2019, 10:58
> *Subject:* Re: [GNC] Upgrade 2.6.18 to 3.5
>
> I've just upgraded from 2.6.21 to 3.5.1 for Windows 10. The upgrade
> performed seamlessly with only one problem so far, it seems to have lost my
> Saved Report Configurations from the previous version. Not too big a deal
> as it's easily created again, or maybe someone has an idea if I'm looking
> in the wrong spot?
>
>
> <https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail> Virus-free.
> www.avast.com
> <https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
> <https://mail.yahoo.com/neo/launch?.src=ym&reason=myc&soc_src=mail&soc_trk=ma#DAB4FAD8-2DD7-40BB-A1B8-4E2AA1F9FDF2>
>
> On Wed, Apr 10, 2019 at 3:01 PM Michael Hendry <[hidden email]>
> wrote:
>
> > On 10 Apr 2019, at 08:21, aeg via gnucash-user <[hidden email]>
> wrote:
> >
> > I am currently using version 2.6.16 so should I upgrade to 2.6.21 before
> 3.5 or is another intermediate step recommended?
> > Kind regards,Alan
>
>
> For what it’s worth, I can report no file incompatibility problems in
> making the transition from 2.6.1 to 3.4 a few weeks ago.
>
> Your mileage may, of course, vary.
>
> I had planned to run the two versions in parallel for a while (with
> separate directories for the data), but quickly got fed up with the
> rigmarole of switching between the two.
>
> Michael
>
> _______________________________________________
> gnucash-user mailing list
>
> [hidden email]
>
> To update your subscription preferences or to unsubscribe:
> https://lists.gnucash.org/mailman/listinfo/gnucash-user
> If you are using Nabble or Gmane, please see
> https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
> -----
> Please remember to CC this list on all your replies.
> You can do this by using Reply-To-List or Reply-All.
>
>
>
> --
> *Tony Vanson*
>
> *The older I get,*
> *the better I was*
>
>
>
>

--
*Tony Vanson*

*The older I get,*
*the better I was*
_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Colin Law
In reply to this post by Stephen M. Butler
On Wed, 10 Apr 2019 at 23:03, Stephen M. Butler <[hidden email]> wrote:
> ...
> Or, if your distro is Ubuntu based, you can download the *.deb files
> from:
> https://drive.google.com/open?id=11gjnSIw9E8B8kOJ01DHQuEA83xidbw8E  for
> the 3.5 version.

I think whether that works might depend on which version of
Debian/Ubuntu it is based.
If you get errors saying it can't install because of other stuff not
being installed then try
sudo apt-get install -f
which may fix those.

Colin
_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Manfred Usselmann-2
In reply to this post by Stephen M. Butler
 

Am 11.04.2019 00:00, schrieb Stephen M. Butler:

> On 4/10/19 10:57 AM, Adrien Monteleone wrote:
>
>> Mileage varies when encountering bugs. If you want to see those known to affect to 2.6.12 you can search the Bugzilla db for that series, and/or time period. (not all bugs were specific to a particular release) *Many* improvements and fixes have been implemented since then.
>>
>> If you only run what is available in the repo, that's the most recent you can run without upgrading Mint itself and until 2020 when the Mint team re-bases their distro to a more modern version of Ubuntu.
>>
>> The latest Mint, 19.1 - Tessa, is based off the Ubuntu 18.04 repositories which contains GnuCash-2.6.19. Tara (Mint 19) and Tessa (19.1) and the rest of the 19 series are supported until 2023.
>>
>> If you want more recent version like the 3.x series, you'd need to use the Flatpak version or build from source. (rather easy to do, especially with the new wiki instructions)
>>
>> Regards,
>> Adrien
>
> Or, if your distro is Ubuntu based, you can download the *.deb files
> from:
> https://drive.google.com/open?id=11gjnSIw9E8B8kOJ01DHQuEA83xidbw8E [1] for
> the 3.5 version.

Thanks a lot for sharing the files.

I've installed them yesterday and this version seems to work fine on my
Ubuntu 18.04 system without any additional packages. But I had already
installed 3.4.1 from debian before with all dependencies, quite a lot.

By the way, 3.5 is not yet available for debian, the maintainer is
looking for help:

https://tracker.debian.org/pkg/gnucash [2]

Regards,
Manfred

> On Apr 10, 2019, at 10:35 AM, Elmar <[hidden email]> wrote:
>
> On 4/10/19 11:15 AM, [hidden email] wrote: Date: Tue, 9 Apr 2019 14:21:15 -0500
> From: Adrien Monteleone <[hidden email]>
> To: GnuCash <[hidden email]>
> Subject: Re: [GNC] Upgrade 2.6.18 to 3.5
> Message-ID: <[hidden email]>
> Content-Type: text/plain;??? charset=us-ascii
>
> I think it was originally recommended to update to 2.6.19 or 2.6.21 first. (2.6.20 and .21 were snap fix releases for some critical problems with 2.6.19 which was originally intended to be the *last* of the 2.6 series)
>
> Regards,
> Adrien Heck, I am still running off the Mint repository version 2.6.12-1 built from rev ed11f6d+ on 2016-04-18. Nothing is "broken" that I use, and I am being cautious, awaiting the repository to update. Anyone got any ideas on when that might happen? - Elmar
 _______________________________________________
 gnucash-user mailing list
[hidden email]
 To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user [3]
 If you are using Nabble or Gmane, please see
https://wiki.gnucash.org/wiki/Mailing_Lists [4] for more information.
 -----
 Please remember to CC this list on all your replies.
 You can do this by using Reply-To-List or Reply-All.

 --
 Stephen M Butler, PMP, PSM
[hidden email]
[hidden email]
 253-350-0166
 -------------------------------------------
 GnuPG Fingerprint: 8A25 9726 D439 758D D846 E5D4 282A 5477 0385 81D8

 _______________________________________________
 gnucash-user mailing list
[hidden email]
 To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user [3]
 If you are using Nabble or Gmane, please see
https://wiki.gnucash.org/wiki/Mailing_Lists [4] for more information.
 -----
 Please remember to CC this list on all your replies.
 You can do this by using Reply-To-List or Reply-All.

 

Links:
------
[1]
https://drive.google.com/open?id=11gjnSIw9E8B8kOJ01DHQuEA83xidbw8E&nbsp;
[2] https://tracker.debian.org/pkg/gnucash
[3] https://lists.gnucash.org/mailman/listinfo/gnucash-user
[4] https://wiki.gnucash.org/wiki/Mailing_Lists
_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

Stephen M. Butler
On 4/12/19 12:19 AM, Manfred Usselmann wrote:

>
> Am 11.04.2019 00:00, schrieb Stephen M. Butler:
>
>> Or, if your distro is Ubuntu based, you can download the *.deb files
>> from: 
>> https://drive.google.com/open?id=11gjnSIw9E8B8kOJ01DHQuEA83xidbw8E  for
>> the 3.5 version.
>>  
>  
> Thanks a lot for sharing the files.
>  
> I've installed them yesterday and this version seems to work fine on
> my Ubuntu 18.04 system without any additional packages. But I had
> already installed 3.4.1 from debian before with all dependencies,
> quite a lot.
>  
> By the way, 3.5 is not yet available for debian, the maintainer is
> looking for help: 
>  
> https://tracker.debian.org/pkg/gnucash
>  
> Regards, 
> Manfred


Thanks for the feedback.  I'm just a beginner with learning how to
package deb files.  So far it works with files I've gathered for others. 

--
Stephen M Butler, PMP, PSM
[hidden email]
[hidden email]
253-350-0166
-------------------------------------------
GnuPG Fingerprint:  8A25 9726 D439 758D D846 E5D4 282A 5477 0385 81D8

_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
Reply | Threaded
Open this post in threaded view
|

Re: [GNC] Upgrade 2.6.18 to 3.5

GnuCash - User mailing list
In reply to this post by Tony Vanson
Tony,

I recently ugraded from 2.6.21 to 3.5 on Windows 10 and had to locate the
saved reports. I'll tell you what I did.
On my system this was a file called "saved-reports-2.4", which was located
at:

C:\users\USERNAME\.gnucash where USERNAME is the current user.

I copied this file to:

C:\Users\USERNAME\AppData\Roaming\GnuCash

These locations might be different on your system, you can find the USERNAME
folder by hitting the Windows key and typing %userprofile%. Also you can
fing the Appdata folder by typing %appdata%

Hope this helps.



--
Sent from: http://gnucash.1415818.n4.nabble.com/GnuCash-User-f1415819.html
_______________________________________________
gnucash-user mailing list
[hidden email]
To update your subscription preferences or to unsubscribe:
https://lists.gnucash.org/mailman/listinfo/gnucash-user
If you are using Nabble or Gmane, please see https://wiki.gnucash.org/wiki/Mailing_Lists for more information.
-----
Please remember to CC this list on all your replies.
You can do this by using Reply-To-List or Reply-All.
12